Package org.apache.lucene.search.suggest

# Class BitsProducer

java.lang.Object
org.apache.lucene.search.suggest.BitsProducer

public abstract class BitsProducer extends Object
A producer of `Bits` per segment.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BitsProducer()`
  Sole constructor, typically invoked by sub-classes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Bits`
  `getBits(LeafReaderContext context)`
  Return `Bits` for the given leaf.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BitsProducer

    protected BitsProducer()
    Sole constructor, typically invoked by sub-classes.

- ## Method Details

  - ### getBits

    public abstract Bits getBits(LeafReaderContext context) throws IOException
    Return `Bits` for the given leaf. The returned instance must be non-null and have a `length` equal to `maxDoc`.
    Throws:
      `IOException`